
Foreman - Bug #2782

LDAP Auth Source Account Password reset

07/12/2013 11:43 AM - keith obrien

Status: Closed   

Priority: Low   

Assignee: Joseph Magen   

Category: Authentication   

Target version: 1.2.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Seems to be a regression Bug "872".

It seems when making changes to an LDAP Auth Source that the fake masked password (which seems to be 'xxxxxxxxxxx') then

actually becomes the password to use for the Auth Source, thus making the password invalid and 'breaking' the Auth Source.

Reproduce:

In a working LDAP config simply open "LDAP Authentication" for editing and click save.

Version affected:

1.2.0+debian0.3

1.2.0+debian2

Associated revisions

Revision 6a44fab1 - 07/15/2013 08:17 AM - Joseph Magen

fixes #2782 - LDAP password overwritten as blank

Revision 094ff22e - 07/18/2013 03:54 AM - Joseph Magen

fixes #2782 - LDAP password overwritten as blank

(cherry picked from commit 6a44fab1a948116e93b4690996ae92cfc5d8db03)

History

#1 - 07/14/2013 07:23 AM - Ohad Levy

- Assignee set to Joseph Magen

- Target version set to 1.2.1

seems like a missing password field, Joseph, can you have a look?

thanks

#2 - 07/14/2013 09:14 AM - Joseph Magen

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/783

#3 - 07/15/2013 09:17 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6a44fab1a948116e93b4690996ae92cfc5d8db03.
